
#ifdef        GLOBALS_API_TPM
    #define   EXTERN_API_TPM
   
#else
    #define   EXTERN_API_TPM     extern
#endif

#ifndef API_TPM_H_
#define API_TPM_H_
  

  
  EXTERN_API_TPM              void        Api_Timer0_Init(INT8U TPM_DIV);
  EXTERN_API_TPM              void        Api_Timer1_Init(INT8U TPM_DIV);
  EXTERN_API_TPM    interrupt void        Api_Timer0_isr(void);
  EXTERN_API_TPM    interrupt void        Api_Timer1_isr(void);
  EXTERN_API_TPM    interrupt void        Api_RevCap_isr(void);
  EXTERN_API_TPM    interrupt void        Api_VehCap_isr(void);
  EXTERN_API_TPM    interrupt void        Api_FuelCap_isr(void);
  EXTERN_API_TPM    interrupt void        Api_TempCap_isr(void);
  EXTERN_API_TPM    interrupt void        Api_LinCap_isr(void);
  
  ///////////////////////////////////////////////////////////
  EXTERN_API_TPM   interrupt void         API_ISR(void);
#endif /* API_TPM_H_ */
